Please merge bzr 2.6.0~bzr6571-4/experimental

Bug #1097100 reported by Andrew Starr-Bochicchio on 2013-01-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bzr (Ubuntu)
Wishlist
Unassigned

Bug Description

The bzr import from experimental is out of date, so I can't use bzr to merge bzr.

bzr (2.6.0~bzr6571-4ubuntu1) raring; urgency=low

  * Merge from Debian experimental. Remaining Ubuntu changes:
   - Drop build dependencies on python-{meliae,lzma,medusa},
     which are not in main.
   - Adjust Vcs field in debian/control for Ubuntu.
  * Drop 04_apport_bytesio and 05_tcp_serve_localhost, they are
    not used in Debian and it seems to build fine without them.

 -- Andrew Starr-Bochicchio <email address hidden> Mon, 07 Jan 2013 20:02:12 -0500

bzr (2.6.0~bzr6571-4) experimental; urgency=low

  * debian/tests/control: Add python-subunit to autopkgtest
    dependencies (LP: #1101206).

 -- Andrew Starr-Bochicchio <email address hidden> Fri, 18 Jan 2013 18:41:31 -0500

bzr (2.6.0~bzr6571-3) experimental; urgency=low

  * debian/rules: Don't call dh_sphinxdoc if doc package is
    not being built. Fixes FTBFS on buildds where arch:all
    packages are not built.

 -- Andrew Starr-Bochicchio <email address hidden> Tue, 08 Jan 2013 20:02:55 -0500

bzr (2.6.0~bzr6571-2) experimental; urgency=low

  * Add myself to uploaders.
  * Fix Vcs-Bzr link and add Vcs-Browser field.
  * Run wrap-and-sort over the debian/control file and install files.
  * Bump debian/compat to 9.
  * Build Sphinx-based docs rather than the plain html ones.
    The fixes a number of outstanding doc related bugs:
   - Closes: #670526, #606009
   - LP: #544149, LP: #1014572, LP: #514609

 -- Andrew Starr-Bochicchio <email address hidden> Sun, 06 Jan 2013 19:20:39 -0500

A "dropped" change that isn't in the changelog is:

Drop 06_new_zlib patch and add build-conflicts for newer versions of zlib.

That was actually done in Debian awhile back. It seems as if the line in the changelog for the last Ubuntu upload was just cargo-culted.

Changed in bzr (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
description: updated
description: updated
tags: added: patch
summary: - Please merge bzr 2.6.0~bzr6571-2/experimental
+ Please merge bzr 2.6.0~bzr6571-3/experimental
description: updated
Changed in bzr (Ubuntu):
status: In Progress → Confirmed
assignee: Andrew Starr-Bochicchio (andrewsomething) → nobody
Daniel Holbach (dholbach) wrote :

I'm afraid it fails to build for me in raring amd64:
python tools/generate_release_notes.py doc/en/release-notes/index.txt doc/en/release-notes/bzr-0.1.txt doc/en/release-notes/bzr-0.10.txt doc/en/release-notes/bzr-0.11.txt doc/en/release-notes/bzr-0.12.txt doc/en/release-notes/bzr-0.13.txt doc/en/release-notes/bzr-0.14.txt doc/en/release-notes/bzr-0.15.txt doc/en/release-notes/bzr-0.16.txt doc/en/release-notes/bzr-0.17.txt doc/en/release-notes/bzr-0.18.txt doc/en/release-notes/bzr-0.6.txt doc/en/release-notes/bzr-0.7.txt doc/en/release-notes/bzr-0.8.txt doc/en/release-notes/bzr-0.9.txt doc/en/release-notes/bzr-0.90.txt doc/en/release-notes/bzr-0.91.txt doc/en/release-notes/bzr-0.92.txt doc/en/release-notes/bzr-1.0.txt doc/en/release-notes/bzr-1.1.txt doc/en/release-notes/bzr-1.10.txt doc/en/release-notes/bzr-1.11.txt doc/en/release-notes/bzr-1.12.txt doc/en/release-notes/bzr-1.13.txt doc/en/release-notes/bzr-1.14.txt doc/en/release-notes/bzr-1.15.txt doc/en/release-notes/bzr-1.16.txt doc/en/release-notes/bzr-1.17.txt doc/en/release-notes/bzr-1.18.txt doc/en/release-notes/bzr-1.2.txt doc/en/release-notes/bzr-1.3.txt doc/en/release-notes/bzr-1.4.txt doc/en/release-notes/bzr-1.5.txt doc/en/release-notes/bzr-1.6.txt doc/en/release-notes/bzr-1.7.txt doc/en/release-notes/bzr-1.8.txt doc/en/release-notes/bzr-1.9.txt doc/en/release-notes/bzr-2.0.txt doc/en/release-notes/bzr-2.1.txt doc/en/release-notes/bzr-2.2.txt doc/en/release-notes/bzr-2.3.txt doc/en/release-notes/bzr-2.4.txt doc/en/release-notes/bzr-2.5.txt doc/en/release-notes/bzr-2.6.txt
python tools/generate_docs.py -o doc/en/user-reference/index.txt rstx
bzr: warning: some compiled extensions could not be loaded; see <https://answers.launchpad.net/bzr/+faq/703>
Traceback (most recent call last):
  File "tools/generate_docs.py", line 111, in <module>
    main(sys.argv)
  File "tools/generate_docs.py", line 97, in main
    infogen_mod.infogen(options, outfile)
  File "bzrlib/doc_generate/autodoc_rstx.py", line 56, in infogen
    outfile.write(_get_body(params, topic_dir))
  File "bzrlib/doc_generate/autodoc_rstx.py", line 68, in _get_body
    output_dir=topic_dir))
  File "bzrlib/doc_generate/autodoc_rstx.py", line 95, in _get_section
    topic_id = _dump_text(output_dir, topic, help)
  File "bzrlib/doc_generate/autodoc_rstx.py", line 134, in _dump_text
    f.writelines(text)
TypeError: writelines() argument must be a sequence of strings
make[2]: *** [doc/en/user-reference/index.txt] Error 1
make[2]: Leaving directory `/tmp/buildd/bzr-2.6.0~bzr6571'
make[1]: *** [override_dh_auto_build] Error 2
make[1]: Leaving directory `/tmp/buildd/bzr-2.6.0~bzr6571'
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

description: updated

diffs updated to include 2.6.0~bzr6571-4 which is an upload just to include the un-coordinated upload of 2.6.0~bzr6571-1ubuntu2

summary: - Please merge bzr 2.6.0~bzr6571-3/experimental
+ Please merge bzr 2.6.0~bzr6571-4/experimental
Iain Lane (laney) wrote :

Uploaded with a bug closure for this bug. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bzr - 2.6.0~bzr6571-4ubuntu1

---------------
bzr (2.6.0~bzr6571-4ubuntu1) raring; urgency=low

  * Merge from Debian experimental (LP: #1097100). Remaining Ubuntu changes:
   - Drop build dependencies on python-{meliae,lzma,medusa},
     which are not in main.
   - Adjust Vcs field in debian/control for Ubuntu.
  * Drop 04_apport_bytesio and 05_tcp_serve_localhost, they are
    not used in Debian and it seems to build fine without them.

bzr (2.6.0~bzr6571-4) experimental; urgency=low

  * debian/tests/control: Add python-subunit to autopkgtest
    dependencies (LP: #1101206).

bzr (2.6.0~bzr6571-3) experimental; urgency=low

  * debian/rules: Don't call dh_sphinxdoc if doc package is
    not being built. Fixes FTBFS on buildds where arch:all
    packages are not built.

bzr (2.6.0~bzr6571-2) experimental; urgency=low

  * Add myself to uploaders.
  * Fix Vcs-Bzr link and add Vcs-Browser field.
  * Run wrap-and-sort over the debian/control file and install files.
  * Bump debian/compat to 9.
  * Build Sphinx-based docs rather than the plain html ones.
    The fixes a number of outstanding doc related bugs:
   - Closes: #670526, #606009
   - LP: #544149, LP: #1014572, LP: #514609
 -- Andrew Starr-Bochicchio <email address hidden> Mon, 07 Jan 2013 20:02:12 -0500

Changed in bzr (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers